#version 150
#extension GL_ARB_explicit_attrib_location : enable

uniform sampler2D Color;

out vec4 outColor;
in vec2 UV;

void main()
{
	float pixelLuminance = dot(vec3(0.2125, 0.7154, 0.0721), texture2D(Color, UV));
	float logLuminance = log(pixelLuminance + 1e-6);
	outColor = vec4(vec3(logLuminance), 1.0);
} 